
/*   DDMODBLK.DCL       Version 1.0

     Copyright (C) 1994 by TDS TELECOM - Southeast Region

     Permission to use, copy, modify, and distribute this software
     for any purpose and without fee is hereby granted, provided
     that the above copyright notice appears in all copies and that
     both that copyright notice and this permission notice appear in
     all supporting documentation.

     THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
     WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
     PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.

     Dialogue for the BLK_MOD command, for use with BLK_MOD.LSP
*/


dcl_settings : default_dcl_settings { audit_level = 0; }


//-------- Subassemblies and prototypes shared  -------

	number_box : edit_box {
    edit_width = 10;
	}
	x_box : number_box {
    label = "X:";
	 key = "xscl";
    mnemonic = "X";
	}
	y_box : number_box {
    label = "Y:";
	 key = "yscl";
    mnemonic = "Y";
	}
	z_box : number_box {
    label = "Z:";
	 key = "zscl";
    mnemonic = "Z";
	}

//-------------------- Dialogue --------------------

ddbmodify : dialog {
	label = "Modify Block";
	: boxed_row	{
		label = "Main Block Attributes";
		: column	{
			: popup_list	{
								label = "Block: ";
								mnemonic = "B";
								key = "popup_block";
								edit_width = 13;
								}
			: popup_list	{
								label = "Layer: ";
								mnemonic = "L";
								key = "popup_layer";
								edit_width = 13;
								}
			: edit_box	{
								label = "Rotation: ";
								mnemonic = "R";
								key = "brotate";
								edit_width = 6;
								alignment = centered;
									}
				: toggle	{
								label = "Update Block Scale";
								mnemonic = "U";
								key = "update_scl";
								value = "0";
									}
							}
		:	column	{
			width = 3;
			fixed_width = true;
							}
		: column	{
			: boxed_column	{
								label = "Scale: ";
								mnemonic = "S";
								fixed_width = true;
								fixed_height = true;
								x_box;
								y_box;
								z_box;
						}
					}
				}
	:row	{
		height = 1;
		fixed_height = true;
				}
	: boxed_column	{
		label = "Block Attributes Box";
		width = 38;
		fixed_width = true;
		alignment = centered;
		: popup_list	{
								label = "Attribute: ";
								mnemonic = "A";
								key = "popup_attrib";
								alignment = centered;
								edit_width = 13;
								width = 30;
								fixed_width = true;
							}
		: popup_list	{
								label = "Justify: ";
								mnemonic = "J";
								key = "popup_just";
								alignment = centered;
								edit_width = 13;
								width = 30;
								fixed_width = true;
							}
		: edit_box	{
								label = "Height: ";
								mnemonic = "H";
								key = "aheight";
								edit_width = 10;
								alignment = centered;
								width = 30;
								fixed_width = true;
						}
		:	row	{
			width = 30;
			fixed_width = true;
			alignment = centered;
			: button	{
								label = "Color: ";
								mnemonic = "C";
								key = "acolor";
								width = 6;
								}
			:	image_button	{
								key = "show_image";
								height = 1;
								width = 3;
											}
			:	text	{
								key = "t_color";
								width = 12;
							}
					}
				}
	:	row	{
		height = 1;
		fixed_height = true;
				}
	ok_cancel;
}
